Test Dataset S3
curl --request POST \
--url https://api.example.com/api/datasets/{dataset_id}/integrations/s3/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"bucket": "<string>",
"region": "<string>",
"prefix": "<string>",
"endpoint_url": "<string>",
"use_path_style": true,
"kms_key_id": "<string>",
"notify_on_complete": true,
"notify_on_failure": true,
"access_key_id": "<string>",
"secret_access_key": "<string>",
"session_token": "<string>",
"write_test": true
}
'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/integrations/s3/test"
payload = {
"url": "<string>",
"bucket": "<string>",
"region": "<string>",
"prefix": "<string>",
"endpoint_url": "<string>",
"use_path_style": True,
"kms_key_id": "<string>",
"notify_on_complete": True,
"notify_on_failure": True,
"access_key_id": "<string>",
"secret_access_key": "<string>",
"session_token": "<string>",
"write_test": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
bucket: '<string>',
region: '<string>',
prefix: '<string>',
endpoint_url: '<string>',
use_path_style: true,
kms_key_id: '<string>',
notify_on_complete: true,
notify_on_failure: true,
access_key_id: '<string>',
secret_access_key: '<string>',
session_token: '<string>',
write_test: true
})
};
fetch('https://api.example.com/api/datasets/{dataset_id}/integrations/s3/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Test Dataset S3
POST
/
api
/
datasets
/
{dataset_id}
/
integrations
/
s3
/
test
Test Dataset S3
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Response
Successful Response
The response is of type Response Test Dataset S3 Api Datasets Dataset Id Integrations S3 Test Post · object.
⌘I

